outputfilepath = "临时文件/circled.txt"

from database_tools import *

data = getCopy()
modified_data = re.sub(r"\((\d)\)",lambda x: "\\textcircled{"+x.group(1)+"}",data) #替换所有的小括号包围的单个数字为圆圈包围的
modified_data = re.sub(r"\$\\textcircled\{\\scriptsize\{(\d)\}\}",lambda x: "\\textcircled{"+x.group(1)+"}$",modified_data)
modified_data = re.sub(r"\\textcircled\{\\scriptsize\{(\d)\}\}",lambda x: "\\textcircled{"+x.group(1)+"}",modified_data)
setCopy(modified_data)

SaveTextFile(modified_data,outputfilepath)